Bug 1308694 - pyanaconda.packaging.PayloadInstallError: Unable to find osimg for /dev/mapper/live-base
pyanaconda.packaging.PayloadInstallError: Unable to find osimg for /dev/mappe...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: libblockdev (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Vratislav Podzimek
Fedora Extras Quality Assurance
abrt_hash:88cde4551878b87a6935c32588d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-15 14:05 EST by John
Modified: 2016-12-20 13:45 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:45:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (315.34 KB, text/plain)
2016-02-15 14:05 EST, John
no flags Details
File: anaconda.log (9.93 KB, text/plain)
2016-02-15 14:05 EST, John
no flags Details
File: environ (599 bytes, text/plain)
2016-02-15 14:05 EST, John
no flags Details
File: journalctl (238.45 KB, text/plain)
2016-02-15 14:05 EST, John
no flags Details
File: lsblk_output (2.64 KB, text/plain)
2016-02-15 14:05 EST, John
no flags Details
File: nmcli_dev_list (1.19 KB, text/plain)
2016-02-15 14:05 EST, John
no flags Details
File: os_info (451 bytes, text/plain)
2016-02-15 14:05 EST, John
no flags Details
File: program.log (13.35 KB, text/plain)
2016-02-15 14:05 EST, John
no flags Details
File: storage.log (35.65 KB, text/plain)
2016-02-15 14:05 EST, John
no flags Details
File: ifcfg.log (2.08 KB, text/plain)
2016-02-15 14:05 EST, John
no flags Details

  None (edit)
Description John 2016-02-15 14:05:28 EST
Description of problem:
Boot off of live dvd for KDE. Process goes to language screen and then an unknown error occured. cannot go past it.

Version-Release number of selected component:
anaconda-core-23.19.10-1.fc23.x86_64

The following was filed automatically by anaconda:
anaconda 23.19.10-1 exception report
Traceback (most recent call first):
  File "/usr/lib64/python3.4/site-packages/pyanaconda/packaging/livepayload.py", line 79, in setup
    raise PayloadInstallError("Unable to find osimg for %s" % self.data.method.partition)
  File "/usr/lib64/python3.4/site-packages/pyanaconda/packaging/__init__.py", line 1275, in _runThread
    payload.setup(storage, instClass)
  File "/usr/lib64/python3.4/threading.py", line 868, in run
    self._target(*self._args, **self._kwargs)
  File "/usr/lib64/python3.4/site-packages/pyanaconda/threads.py", line 253, in run
    threading.Thread.run(self, *args, **kwargs)
pyanaconda.packaging.PayloadInstallError: Unable to find osimg for /dev/mapper/live-base

Additional info:
cmdline:        /usr/bin/python3  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=/isolinux/vmlinuz0 root=live:LABEL=Fedora-Live-KDE-x86_64-23-10 ro rd.live.image quiet rhgb
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.2.3-300.fc23.x86_64
other involved packages: python3-libs-3.4.3-5.fc23.x86_64
product:        Fedora
release:        Fedora release 23 (Twenty Three)
type:           anaconda
version:        23
Comment 1 John 2016-02-15 14:05:31 EST
Created attachment 1127406 [details]
File: anaconda-tb
Comment 2 John 2016-02-15 14:05:32 EST
Created attachment 1127407 [details]
File: anaconda.log
Comment 3 John 2016-02-15 14:05:34 EST
Created attachment 1127408 [details]
File: environ
Comment 4 John 2016-02-15 14:05:35 EST
Created attachment 1127409 [details]
File: journalctl
Comment 5 John 2016-02-15 14:05:36 EST
Created attachment 1127410 [details]
File: lsblk_output
Comment 6 John 2016-02-15 14:05:37 EST
Created attachment 1127411 [details]
File: nmcli_dev_list
Comment 7 John 2016-02-15 14:05:38 EST
Created attachment 1127412 [details]
File: os_info
Comment 8 John 2016-02-15 14:05:39 EST
Created attachment 1127413 [details]
File: program.log
Comment 9 John 2016-02-15 14:05:40 EST
Created attachment 1127414 [details]
File: storage.log
Comment 10 John 2016-02-15 14:05:41 EST
Created attachment 1127415 [details]
File: ifcfg.log
Comment 11 John 2016-02-15 16:02:52 EST
Another user experienced a similar problem:

install to hard drive from fedora workstation live dvd, gets to language screen and then ananconda crashes.

cmdline:        /usr/bin/python3  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=vmlinuz0 initrd=initrd0.img root=live:CDLABEL=Fedora-Live-WS-x86_64-23-10 rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0 
hashmarkername: anaconda
kernel:         4.2.3-300.fc23.x86_64
other involved packages: python3-libs-3.4.3-5.fc23.x86_64
package:        anaconda-core-23.19.10-1.fc23.x86_64
packaging.log:  
product:        Fedora
reason:         pyanaconda.packaging.PayloadInstallError: Unable to find osimg for /dev/mapper/live-base
release:        Fedora release 23 (Twenty Three)
version:        23
Comment 12 Brian Lane 2016-02-15 20:04:12 EST
14:03:00,006 DEBUG anaconda: running handleException
14:03:00,006 CRIT anaconda: Traceback (most recent call last):

  File "/usr/lib64/python3.4/site-packages/gi/overrides/BlockDev.py", line 395, in wrapped
    ret = orig_obj(*args, **kwargs)

  File "/usr/lib64/python3.4/site-packages/gi/overrides/BlockDev.py", line 153, in dm_get_member_raid_sets
    return _dm_get_member_raid_sets(name, uuid, major, minor)

GLib.Error: g-bd-dm-error-quark: Failed to group_set (3)
Comment 13 Reepmc 2016-04-02 19:51:42 EDT
I had this same issue. I was able to get around it by removing all drives but my intended install target and formatting the remaining drive. That drive had previously been a part of a RAID array and (I believe) the error had to do with iffy partitions remaining on the drive.
Comment 14 Fedora End Of Life 2016-11-24 10:35:17 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 penthium2 2016-12-12 10:40:44 EST
I have this bug under fedora 25
Comment 16 Fedora End Of Life 2016-12-20 13:45:05 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.